/// A representation of authentication state changes
enum AuthSignal {
  /// Signals that sign in has been successful
  SignedIn,

  /// Signals that sign out has been successful
  SignedOut,

  /// Signals that sign in has failed
  SignInFailed,

  /// Signals that sign out has failed
  SignOutFailed,
}
